package Parkhaus;


import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

class JTest_ausfahren {
	private Parkhaus parkhaus;
    private SimpleDateFormat sdf;
	@BeforeEach
	void start() throws ParseException {
		parkhaus = new Parkhaus();
		sdf = new SimpleDateFormat("dd.MM.yyyy, HH:mm");
	}
	
	@Test
	public void test_ausfahren() throws Exception {
		String kennzeichen = "MA-SH 4077";
		String einfahrt = "01.10.2024, 14:30";
		String ausfahrt = "01.10.2024, 15:30";
		parkhaus.einfahren(kennzeichen, einfahrt);
		
		parkhaus.berechneParkgebuehren(kennzeichen, ausfahrt);
		
		
		assertTrue(parkhaus.checkVisakarteNummer("9823192757222993"));
		assertTrue(parkhaus.setBezahlt(kennzeichen));
		assertTrue(parkhaus.gebuerenNehmen(1));
	
	}

}
